<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@2202=FF</action>
    </script>
  </cheat>

  <cheat desc="Turn ALL cheats OFF with F6 at the end of each level!!"/>

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@2489=09</action>
      <action>maincpu.pb@248A=59</action>
    </script>
  </cheat>

  <cheat desc="Invincibility (flickering)">
    <script state="run">
      <action>maincpu.pb@2C81=00|(maincpu.pb@2C81 BAND ~02)</action>
    </script>
  </cheat>

  <cheat desc="Infinite Magic">
    <script state="run">
      <action>maincpu.pb@1C76=03</action>
    </script>
  </cheat>

  <cheat desc="Always have Maximum Shot">
    <script state="run">
      <action>maincpu.pb@1CCC=07</action>
    </script>
  </cheat>

  <cheat desc="Always have Maximum Laser">
    <script state="run">
      <action>maincpu.pb@1CCD=05</action>
    </script>
  </cheat>

  <cheat desc="Always have Maximum Bomb">
    <script state="run">
      <action>maincpu.pb@1CCE=02</action>
    </script>
  </cheat>

  <cheat desc="Always have Maximum Speed">
    <script state="run">
      <action>maincpu.pb@1CC9=03</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@2401=05</action>
    </script>
  </cheat>

  <cheat desc="Infinite Continues PL1">
    <script state="run">
      <action>maincpu.pb@240C=05</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@2441=05</action>
    </script>
  </cheat>

  <cheat desc="Infinite Continues PL2">
    <script state="run">
      <action>maincpu.pb@244C=05</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Sound Test Timer Stop"> <comment>[PL2 Start]Next Code</comment>
    <script state="run">
      <action condition="(frame % 60 == 0)">maincpu.pb@2582=A0</action>
    </script>
  </cheat>

  <cheat desc="Sound Test">
    <parameter min="1" max="146" step="1"/>
    <script state="change">
      <action>maincpu.pb@2280=param</action>
      <action>maincpu.pb@2217=81</action>
      <action>maincpu.pb@2219=80</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
